<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.FormViewModels.ProjectPermissionFormViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=Resources.egTracker.Add %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

  <h2><%=Resources.egTracker.Add %> <%=Resources.egTracker.Permission %> - <%=Html.Encode(Model.Project.Name) %></h2>

  <%= Html.ValidationSummary(Resources.egTracker.AddValidationInfo)%>

  <% using (Html.BeginForm())
     {%>

	<div class="Section">

  <div class="Item">
		&nbsp;<br />
    <%=Resources.egTracker.Users %>: <br />
    <%=Html.ListBox("Users", Model.UsersListBox, new { style ="height:250px;" })%>
  </div>

  <div class="Item">    
		&nbsp;<br />
		Standard Permissions:<br />
    <%=Html.ListBox("Permissions", Model.PermissionsListBox, new { style = "height:100px;" })%>
  </div>
  
	<div class="Item">    	
		<%=Html.ActionLink("Refresh", "Add", "ProjectsPermissions", new { id = Model.ProjectId }, new { style = "font-size:11px;" })%>		
		<%=Html.ActionLink("Edit", "Index", "AdvancedPermissions", new {}, new { style = "font-size:11px;", target="_blank" })%><br />
		Advanced Permissions:<br />
    <%=Html.ListBox("AdvancedPermissions", Model.AdvancedPermissionsListBox, new { style = "height:100px;" })%>
  </div>

	</div>

  <div style="clear:both;">
    <br />
    <input type="submit" value="<%=Resources.egTracker.Add %>" />
  </div>

  <%} %>
</asp:Content>
